org.apache.ignite.internal.util.nio

## Class GridNioMessageTracker

- java.lang.Object
- - org.apache.ignite.internal.util.nio.GridNioMessageTracker

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

    public class GridNioMessageTracker
    extends Object
    implements IgniteRunnable

Message tracker.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridNioMessageTracker(GridNioSession ses, int msgQueueLimit)`

### Method Summary

Methods
`void` `onMessageProcessed()`
`void` `onMessageReceived()`
`void` `run()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNioMessageTracker

    public GridNioMessageTracker(GridNioSession ses,
                         int msgQueueLimit)

Parameters:
  `ses` - Session.
  `msgQueueLimit` - Message queue limit.

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### onMessageProcessed

    public void onMessageProcessed()

#### onMessageReceived

    public void onMessageReceived()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017